Jump to content

How do I pull a plastic repo on an ec2 client?


Recommended Posts

We have a unity repo on the cloud and are trying to pull that repo onto a linux ec2 instance. Is it possible to do this? What client tools do I use and is there extra configuration of the cloud repo that is required?

 

Thank you.

Link to comment
Share on other sites

Hi,

Yes, you can pull your repo to the ec2 instance, you need to install the plastic client for your distro https://www.plasticscm.com/plastic-for-linux and then configure the cloud repo and credentials like here https://www.plasticscm.com/documentation/administration/plastic-scm-version-control-administrator-guide#Installation-Linux. Then you can use the command line (https://www.plasticscm.com/documentation/cli/plastic-scm-version-control-cli-guide#Introduction) to select and pull the desired repository in a workspace.

Is is also possible to use the API REST when the client is already installed given that you have a cloud subscription https://www.plasticscm.com/documentation/restapi/plastic-scm-version-control-rest-api-guide#Repositorycontents

There shouldn't be necessary any additional configuration to the cloud repo.

Regards,

Rafael.

PlasticSCM Support Team

Link to comment
Share on other sites

I've run through the instructions at https://www.plasticscm.com/plastic-for-linux.

I'm on a Debian 10.0 Instance.

When I run this step:

sudo apt-get install plasticscm-complete

 

I get this error:

admin@ip-172-31-4-71:~$ sudo apt-get install plasticscm-complete
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 plasticscm-complete : Depends: plasticscm-client-complete (= 10.0.16.5642) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...